Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 18 Dec 2018, 21:36
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine - run Windows programs in Linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 8 of 23 [338 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, ..., 21, 22, 23 Next
Author Message
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Mon 18 May 2015, 22:45    Post subject: wine 1.7.43  

my attempt at compiling wine-1.7.43

wine-1.7.43-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.43-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.43-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.43-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.43-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.43-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.43-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
mirrors | /fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
mirrors | /libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /libusb/1.0.9/libusb-1.0.9-i486_v2.pet
mirrors | /libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri-7.3.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431

----------------------------------------------------------------------------------------------------------

racy puppy 5.5 ->

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
mirrors | /fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Fri 05 Jun 2015, 19:24; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Fri 05 Jun 2015, 17:30    Post subject: Wine 1.7.44  

my attempt at compiling wine-1.7.44

wine-1.7.44-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.44-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.44-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.44-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.44-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.44-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.44-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
mirrors | /fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
mirrors | /libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /libusb/1.0.9/libusb-1.0.9-i486_v2.pet
mirrors | /libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri-7.3.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431

----------------------------------------------------------------------------------------------------------

racy puppy 5.5 ->

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
mirrors | /fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Fri 26 Jun 2015, 20:56; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
step

Joined: 04 May 2012
Posts: 1120

PostPosted: Thu 25 Jun 2015, 08:15    Post subject:  

I'm loading wine-1.7.39-v2.1.sfs on Fatdog64 with 32-bit compatibility libraries (32bit-slacko6.sfs) and wine has been working well for months. However, I can't disable winemenubuilder using the DLLOVERRIDES= method documented in wine FAQ #5.4. (The regedit method works but I need DLLOVERRIDES= to work).
I can think of three reasons why DLLOVERRIDES= doesn't work:
1- it isn't compiled in
2- wrong documentation
3- 32-bit compatibility issues on Fatdog64
My question is, can you please confirm that DLLOVERRIDES= support is compiled in and that it works on a 32-bit puppy?
TIA

_________________
Fatdog64-800|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Fri 26 Jun 2015, 20:49    Post subject: wine 1.7.45  

my attempt at compiling wine-1.7.45

wine-1.7.45-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.45-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.45-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.45-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.45-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.45-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.45-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
mirrors | /fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
mirrors | /libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /libusb/1.0.9/libusb-1.0.9-i486_v2.pet
mirrors | /libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri-7.3.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431

----------------------------------------------------------------------------------------------------------

racy puppy 5.5 ->

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
mirrors | /fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Tue 07 Jul 2015, 00:30; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
TecnoGuy458

Joined: 26 Jan 2015
Posts: 124
Location: Ohio

PostPosted: Fri 26 Jun 2015, 21:37    Post subject: wine  

What wine pet would work in a full install of wary 5.5 on a 1.4ghz Pentium 4 with
386 MB of memory?
any ideas?
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Mon 29 Jun 2015, 20:55    Post subject:  

step wrote:
I'm loading wine-1.7.39-v2.1.sfs on Fatdog64 with 32-bit compatibility libraries (32bit-slacko6.sfs) and wine has been working well for months. However, I can't disable winemenubuilder using the DLLOVERRIDES= method documented in wine FAQ #5.4. (The regedit method works but I need DLLOVERRIDES= to work).
I can think of three reasons why DLLOVERRIDES= doesn't work:
1- it isn't compiled in
2- wrong documentation
3- 32-bit compatibility issues on Fatdog64
My question is, can you please confirm that DLLOVERRIDES= support is compiled in and that it works on a 32-bit puppy?
TIA

I tried the DLLOVERRIDES via the first method, "In winecfg" as mentioned on the wiki.
Using wine-1.7.39-v2.1
puppy distro: lupuplus-528.005-1

I do not know if DLLOVERRIDES is something that needs to be compiled in.

After applying the override and running winecfg, I get:
Code:

wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

I take that message to mean winemenubuilder.exe is disabled.
Anyone with more knowledge have any ideas?
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Mon 29 Jun 2015, 20:57    Post subject: Re: wine  

TecnoGuy458 wrote:
What wine pet would work in a full install of wary 5.5 on a 1.4ghz Pentium 4 with
386 MB of memory?
any ideas?

What version glibc does your puppy have?
Code:

ldd --version
Back to top
View user's profile Send private message Visit poster's website 
step

Joined: 04 May 2012
Posts: 1120

PostPosted: Tue 30 Jun 2015, 10:12    Post subject:  

version2013 wrote:
I tried the DLLOVERRIDES via the first method, "In winecfg" as mentioned on the wiki.
Using wine-1.7.39-v2.1
puppy distro: lupuplus-528.005-1

I do not know if DLLOVERRIDES is something that needs to be compiled in.

After applying the override and running winecfg, I get:
Code:

wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

I take that message to mean winemenubuilder.exe is disabled.
Anyone with more knowledge have any ideas?

Thanks for testing. Yes, that message means winemenubuilder.exe is disabled. However, can you please re-enable it and then test if DLLOVERRIDES= works to disable it from the command-line?
Code:

DLLOVERRIDES="..." wine some-program.exe

where "..." is a single letter, try "n", "d", and "" for good measures.
TIA

_________________
Fatdog64-800|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
TecnoGuy458

Joined: 26 Jan 2015
Posts: 124
Location: Ohio

PostPosted: Tue 30 Jun 2015, 11:42    Post subject: Re: wine  

version2013 wrote:
TecnoGuy458 wrote:
What wine pet would work in a full install of wary 5.5 on a 1.4ghz Pentium 4 with
386 MB of memory?
any ideas?

What version glibc does your puppy have?
Code:

ldd --version
(GNU libc) 2.10.1
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Tue 30 Jun 2015, 14:27    Post subject:  

step wrote:
version2013 wrote:
I tried the DLLOVERRIDES via the first method, "In winecfg" as mentioned on the wiki.
Using wine-1.7.39-v2.1
puppy distro: lupuplus-528.005-1

I do not know if DLLOVERRIDES is something that needs to be compiled in.

After applying the override and running winecfg, I get:
Code:

wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

I take that message to mean winemenubuilder.exe is disabled.
Anyone with more knowledge have any ideas?

Thanks for testing. Yes, that message means winemenubuilder.exe is disabled. However, can you please re-enable it and then test if DLLOVERRIDES= works to disable it from the command-line?
Code:

DLLOVERRIDES="..." wine some-program.exe

where "..." is a single letter, try "n", "d", and "" for good measures.
TIA


I edited the override, no longer set to "Disable".
Choose any override setting (load order) or remove the override.

I happen to use Wineprefixes. I do not know if that affects the results.
Code:

# WINEPREFIX=/mnt/home/in_use/apps/temp WINEDLLOVERRIDES=winemenubuilder.exe=d wine clock
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Tue 30 Jun 2015, 14:40    Post subject: Re: wine  

TecnoGuy458 wrote:
version2013 wrote:
TecnoGuy458 wrote:
What wine pet would work in a full install of wary 5.5 on a 1.4ghz Pentium 4 with
386 MB of memory?
any ideas?

What version glibc does your puppy have?
Code:

ldd --version
(GNU libc) 2.10.1

Of the wine packages compiled by me, I recommend Racy. In my experience, the wine packages compiled in puppy 4.3 will not work in Wary.
I am not familiar with full installs, I recommend frugal installs.
Anyone with more knowledge of full installs, any ideas?
Back to top
View user's profile Send private message Visit poster's website 
step

Joined: 04 May 2012
Posts: 1120

PostPosted: Thu 02 Jul 2015, 05:21    Post subject:
Subject description: SOLVED
 

version2013 wrote:

I edited the override, no longer set to "Disable".
Choose any override setting (load order) or remove the override.

I happen to use Wineprefixes. I do not know if that affects the results.
Code:

# WINEPREFIX=/mnt/home/in_use/apps/temp WINEDLLOVERRIDES=winemenubuilder.exe=d wine clock
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

Thanks, I tried with WINEPREFIX and now dlloverrides works for me too.

_________________
Fatdog64-800|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Thu 02 Jul 2015, 18:53    Post subject:
Subject description: SOLVED
 

step wrote:
version2013 wrote:

I edited the override, no longer set to "Disable".
Choose any override setting (load order) or remove the override.

I happen to use Wineprefixes. I do not know if that affects the results.
Code:

# WINEPREFIX=/mnt/home/in_use/apps/temp WINEDLLOVERRIDES=winemenubuilder.exe=d wine clock
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

Thanks, I tried with WINEPREFIX and now dlloverrides works for me too.

Using a WINEPREFIX appears to have no affect on using WINEDLLOVERRIDES.

Without using a WINEPREFIX, the override functions.
Code:

# WINEDLLOVERRIDES=winemenubuilder.exe=d wine clock
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)

I noticed that you were trying to use "DLLOVERRIDES" instead of "WINEDLLOVERRIDES" in your attempt.
Back to top
View user's profile Send private message Visit poster's website 
step

Joined: 04 May 2012
Posts: 1120

PostPosted: Sat 04 Jul 2015, 05:01    Post subject:
Subject description: SOLVED
 

version2013 wrote:

I noticed that you were trying to use "DLLOVERRIDES" instead of "WINEDLLOVERRIDES" in your attempt.
I did too, thanks to the detailed example you posted.
_________________
Fatdog64-800|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 395
Location: Florida, USA

PostPosted: Tue 07 Jul 2015, 00:00    Post subject: Wine 1.7.46  

my attempt at compiling wine-1.7.46

wine-1.7.46-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.46-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.46-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.46-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.46-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.46-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.46-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
mirrors | /fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
mirrors | /libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /libusb/1.0.9/libusb-1.0.9-i486_v2.pet
mirrors | /libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri-7.3.pet
mirrors | /xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431

----------------------------------------------------------------------------------------------------------

racy puppy 5.5 ->

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:

mirrors | /fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
mirrors | /fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
mirrors | /gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
mirrors | /gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
mirrors | /lcms2/2.5/lcms2-2.5-i486_v2.pet
mirrors | /lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
mirrors | /libelf/0.8.13/libelf-0.8.13-i486_v2.pet
mirrors | /libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
mirrors | /libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
mirrors | /libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
mirrors | /libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1-2.9-i486-431.pet
mirrors | /libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
mirrors | /mpg123/1.12.4/mpg123-1.12.4.pet
mirrors | /mpg123/1.12.4/mpg123_DEV-1.12.4.pet
mirrors | /openldap/2.4.13/openldap-2.4.13-i486.pet
mirrors | /openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
mirrors | /prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Wed 15 Jul 2015, 20:50; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 8 of 23 [338 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, ..., 21, 22, 23 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1208s ][ Queries: 12 (0.0082s) ][ GZIP on ]